---
- include_vars: "{{ role_path }}/../build-from-source/vars/main.yml"
- block:
  - include_role:
      name: php/common
      tasks_from: query-extension-dir
  - name: Populate OPCache configuration
    template:
      src: templates/opcache.ini.j2
      dest: "{{ scan_dir }}/01-opcache.ini"
    notify: Restart apache
  - stat: path={{ php_main_config }}
    register: s
  - name: Set default php.ini
    copy:
      src: files/php.ini
      dest: "{{ php_main_config}}"
    when: not s.stat.exists
  - name: Set PHP defaults
    blockinfile:
      marker: ';{mark} APNSCP MANAGED BLOCK'
      path: "{{ php_main_config }}"
      content: "{{ php_default_config }}"
    notify: "{{ php_has_isapi | ternary('Restart apache', 'Restart php-fpm') }}"
  when: php_enabled
